// Copyright © 2018 TermySequence LLC
//
// SPDX-License-Identifier: GPL-2.0-only

#pragma once

#include "app/attrbase.h"

extern QString actionString(QString slot);

#define ACT_NONE TN("action", "No description for this action")

#define ACT_ADJUST_TERMINAL_COLORS TN("action", "Adjust the color theme of the terminal")
#define ACT_ADJUST_TERMINAL_FONT TN("action", "Adjust the font of the terminal")
#define ACT_ADJUST_TERMINAL_LAYOUT TN("action", "Adjust the layout of the terminal")
#define ACT_ADJUST_TERMINAL_SCROLLBACK TN("action", "Adjust the scrollback buffer of the terminal")
#define ACT_ANNOTATE_COMMAND TN("action", "Annotate the command text of the current or selected job")
#define ACT_ANNOTATE_LINE_CONTEXT TN("action", "Annotate the current line")
#define ACT_ANNOTATE_OUTPUT TN("action", "Annotate the output text of the current or selected job")
#define ACT_ANNOTATE_JOB TN("action", "Annotate the first line of the current or selected job")
#define ACT_ANNOTATE_SCREEN TN("action", "Annotate the bottom line in the terminal viewport")
#define ACT_ANNOTATE_SCREEN_TOP TN("action", "Annotate the top line in the terminal viewport")
#define ACT_ANNOTATE_SELECTION TN("action", "Annotate the current selection or line")
#define ACT_CANCEL_TASK TN("action", "Cancel the selected task")
#define ACT_CLEAR_ALERT TN("action", "Clear any current alert on the terminal")
#define ACT_CLEAR_TERMINAL_SCROLLBACK TN("action", "Clear scrollback buffer of the current terminal")
#define ACT_CLONE_TERMINAL TN("action", "Clone the terminal to a new terminal")
#define ACT_CLOSE_TERMINAL TN("action", "Close the terminal")
#define ACT_CLOSE_WINDOW TN("action", "Close this window")
#define ACT_CONN_CONTAINER TN("action", "Connect to a terminal server instance in a container")
#define ACT_CONN_GENERIC TN("action", "Connect to a terminal server using a custom command")
#define ACT_CONN_PERSISTENT TN("action", "Connect to the persistent local terminal server")
#define ACT_CONN_ROOT TN("action", "Connect to the superuser's persistent terminal server")
#define ACT_CONN_SSH TN("action", "Use SSH to connect to a terminal server instance on a remote host")
#define ACT_CONN_TRANSIENT TN("action", "Run a transient local terminal server within the desktop session")
#define ACT_CONN_USER TN("action", "Connect to another user's persistent local terminal server")
#define ACT_COPY TN("action", "Copy selection to the clipboard")
#define ACT_COPY_ALL TN("action", "Copy the entire scrollback contents to the clipboard")
#define ACT_COPY_COMMAND TN("action", "Copy the command text to the clipboard")
#define ACT_COPY_DIRECTORY_PATH TN("action", "Copy the directory path to the clipboard")
#define ACT_COPY_FILE TN("action", "Copy the contents of the file to the clipboard")
#define ACT_COPY_FILE_PATH TN("action", "Copy the file path to the clipboard")
#define ACT_COPY_IMAGE TN("action", "Copy the inline content item to the clipboard")
#define ACT_COPY_JOB TN("action", "Copy the entire text of the current or selected job to the clipboard")
#define ACT_COPY_NOTE TN("action", "Copy the annotated text to the clipboard")
#define ACT_COPY_OUTPUT TN("action", "Copy the output text of the current or selected job to the clipboard")
#define ACT_COPY_SCREEN TN("action", "Copy the viewport area of the terminal to the clipboard")
#define ACT_COPY_URL TN("action", "Copy the URL to the clipboard")
#define ACT_DECREASE_FONT TN("action", "Decrease font in all terminals")
#define ACT_DELETE_FILE TN("action", "Remove the selected file or folder")
#define ACT_DISCONNECT_SERVER TN("action", "Terminate connection to the server")
#define ACT_DISCONNECT_TERMINAL TN("action", "Terminate connection to the server")
#define ACT_DOWNLOAD_FILE TN("action", "Download the selected file")
#define ACT_DOWNLOAD_IMAGE TN("action", "Download the inline content item")
#define ACT_DUPLICATE_TERMINAL TN("action", "Duplicate the terminal exactly")
#define ACT_EDIT_GLOBAL_SETTINGS TN("action", "Edit global settings")
#define ACT_EDIT_ICON_RULES TN("action", "Edit rules for auto-switching thumbnail command icons")
#define ACT_EDIT_KEYMAP TN("action", "Edit the selected keymap")
#define ACT_EDIT_KEYMAP_CONTEXT TN("action", "Edit the active keymap in this terminal")
#define ACT_EDIT_PROFILE TN("action", "Edit the selected profile")
#define ACT_EDIT_PROFILE_CONTEXT TN("action", "Edit the active profile in this terminal")
#define ACT_EDIT_SERVER TN("action", "Edit the settings for the server")
#define ACT_EDIT_SWITCH_RULES TN("action", "Edit rules for auto-switching between profiles")
#define ACT_EVENT_LOG TN("action", "Show the application event log")
#define ACT_EXIT_FULL_SCREEN TN("action", "Exit full screen mode")
#define ACT_EXIT_PRESENTATION_MODE TN("action", "Exit presentation mode")
#define ACT_EXTRACT_PROFILE TN("action", "Extract a profile from the current terminal")
#define ACT_FETCH_IMAGE TN("action", "Fetch and display the inline content item")
#define ACT_FIND TN("action", "Search for text within the terminal")
#define ACT_HELP_ABOUT TN("action", "Show information about the application")
#define ACT_HELP_CONTENTS TN("action", "Open the documentation root in the desktop web browser")
#define ACT_HELP_HOMEPAGE TN("action", "Open the application's website in the desktop web browser")
#define ACT_HELP_MANPAGE TN("action", "View the application's man page in a new terminal")
#define ACT_HELP_TOTD TN("action", "View the tip of the day")
#define ACT_HIDE_SERVER TN("action", "Hide all terminals belonging to the server")
#define ACT_HIDE_TERMINAL TN("action", "Hide the terminal in this window")
#define ACT_HIDE_TERMINAL_EVERYWHERE TN("action", "Hide the terminal in all windows")
#define ACT_HIGHLIGHT_CURSOR TN("action", "Show the cursor location in the terminal")
#define ACT_HIGHLIGHT_SEMANTIC_REGIONS TN("action", "Show active semantic regions in the terminal")
#define ACT_INCREASE_FONT TN("action", "Increase font in all terminals")
#define ACT_INPUT_SET_FOLLOWER TN("action", "Follow input multiplexing in the terminal")
#define ACT_INPUT_TOGGLE_FOLLOWER TN("action", "Toggle following of input multiplexing in the terminal")
#define ACT_INPUT_UNSET_FOLLOWER TN("action", "Do not follow input multiplexing in the terminal")
#define ACT_INPUT_SET_LEADER TN("action", "Set the terminal as the input multiplexing leader")
#define ACT_INPUT_UNSET_LEADER TN("action", "Stop input multiplexing")
#define ACT_INSPECT_TASK TN("action", "Show status information about the task")
#define ACT_MANAGE_ALERTS TN("action", "Create, remote, and edit saved alerts")
#define ACT_MANAGE_CONNECTIONS TN("action", "Create, remove, and edit saved connections")
#define ACT_MANAGE_KEYMAPS TN("action", "Create, remove, and edit terminal keymaps")
#define ACT_MANAGE_LAUNCHERS TN("action", "Create, remove, and edit launch configurations")
#define ACT_MANAGE_PLUGINS TN("action", "View, unload, and reload plugins")
#define ACT_MANAGE_PORT_FORWARDING TN("action", "Set up local or remote port forwarding")
#define ACT_MANAGE_PROFILES TN("action", "Create, remove, and edit terminal settings profiles")
#define ACT_MANAGE_SERVERS TN("action", "Edit settings for saved servers")
#define ACT_MANAGE_TERMINALS TN("action", "View and manage active terminals")
#define ACT_MOUNT_FILE_RO TN("action", "Mount the file read-only for local access")
#define ACT_MOUNT_FILE_RW TN("action", "Mount the file read-write for local access")
#define ACT_NEW_LOCAL_TERMINAL TN("action", "Open a new local terminal")
#define ACT_NEW_TERMINAL TN("action", "Open a new terminal on the current or selected server")
#define ACT_NEW_WINDOW TN("action", "Open a new window")
#define ACT_NEXT_PANE TN("action", "Move focus to the next pane")
#define ACT_NEXT_SERVER TN("action", "Switch to the next server")
#define ACT_NEXT_TERMINAL TN("action", "Switch to the next terminal")
#define ACT_OPEN_FILE TN("action", "Open the file using the default launch configuration")
#define ACT_OPEN_TASK_DIRECTORY TN("action", "Open the containing folder of the task's result file")
#define ACT_OPEN_TASK_FILE TN("action", "Open the task's result file")
#define ACT_OPEN_URL TN("action", "Open the URL using the default application")
#define ACT_PASTE TN("action", "Paste content from the clipboard")
#define ACT_PASTE_FILE TN("action", "Paste content from a file")
#define ACT_PASTE_SELECT_BUFFER TN("action", "Paste content from the clipboard select buffer")
#define ACT_POP_PROFILE TN("action", "Return to the previous profile in the terminal")
#define ACT_PROMPT TN("action", "Specify an action to invoke from a dialog box")
#define ACT_PREVIOUS_PANE TN("action", "Move focus to the previous pane")
#define ACT_PREVIOUS_SERVER TN("action", "Switch to the previous server")
#define ACT_PREVIOUS_TERMINAL TN("action", "Switch to the previous terminal")
#define ACT_PUSH_PROFILE TN("action", "Push terminal to the selected profile")
#define ACT_QUIT_APPLICATION TN("action", "Close all windows and quit application")
#define ACT_RAISE_ACTIVE_TOOL TN("action", "Show the most recently used tool in this window")
#define ACT_RAISE_ANNOTATIONS_TOOL TN("action", "Show the Annotations tool in this window")
#define ACT_RAISE_FILES_TOOL TN("action", "Show the Files tool in this window")
#define ACT_RAISE_HISTORY_TOOL TN("action", "Show the History tool in this window")
#define ACT_RAISE_KEYMAP_TOOL TN("action", "Show the Keymap tool in this window")
#define ACT_RAISE_SEARCH_TOOL TN("action", "Show the Search tool in this window")
#define ACT_RAISE_SUGGESTIONS_TOOL TN("action", "Show the Suggestions tool in this window")
#define ACT_RAISE_TASKS_TOOL TN("action", "Show the Tasks tool in this window")
#define ACT_RAISE_TERMINALS_TOOL TN("action", "Show the Terminals tool in this window")
#define ACT_RANDOM_TERMINAL_THEME TN("action", "Randomize color theme of the current terminal")
#define ACT_REMOVE_COMMAND TN("action", "Remove the command from the database")
#define ACT_REMOVE_NOTE TN("action", "Remove the annotation")
#define ACT_REMOVE_TASKS TN("action", "Remove all completed tasks from the list")
#define ACT_RENAME_FILE TN("action", "Rename the selected file or folder")
#define ACT_REORDER_SERVER_BACKWARD TN("action", "Move the server backward in the terminals list")
#define ACT_REORDER_SERVER_FIRST TN("action", "Move the server first in the terminals list")
#define ACT_REORDER_SERVER_FORWARD TN("action", "Move the server forward in the terminals list")
#define ACT_REORDER_SERVER_LAST TN("action", "Move the server last in the terminals list")
#define ACT_REORDER_TERMINAL_BACKWARD TN("action", "Move the terminal backward in the terminals list")
#define ACT_REORDER_TERMINAL_FIRST TN("action", "Move the terminal first in the terminals list")
#define ACT_REORDER_TERMINAL_FORWARD TN("action", "Move the terminal forward in the terminals list")
#define ACT_REORDER_TERMINAL_LAST TN("action", "Move the terminal last in the terminals list")
#define ACT_RESET_AND_CLEAR_TERMINAL TN("action", "Reset emulator and clear scrollback in the terminal")
#define ACT_RESET_TERMINAL TN("action", "Reset emulator in the terminal")
#define ACT_RESTART_TASK TN("action", "Start another copy of the task")
#define ACT_SAVE_ALL TN("action", "Save all output of the active terminal to a file")
#define ACT_SAVE_SCREEN TN("action", "Save visible output of the active terminal to a file")
#define ACT_SCROLL_IMAGE TN("action", "Scroll to the inline content item")
#define ACT_SCROLL_JOB_END TN("action", "Scroll to the end of the job")
#define ACT_SCROLL_JOB_START TN("action", "Scroll to the beginning of the job")
#define ACT_SCROLL_LINE_DOWN TN("action", "Scroll down one line in the viewport")
#define ACT_SCROLL_LINE_UP TN("action", "Scroll up one line in the viewport")
#define ACT_SCROLL_NOTE_DOWN TN("action", "Scroll to the next annotation in the viewport")
#define ACT_SCROLL_NOTE_END TN("action", "Scroll to the end of the annotation")
#define ACT_SCROLL_NOTE_START TN("action", "Scroll to the beginning of the annotation")
#define ACT_SCROLL_NOTE_UP TN("action", "Scroll to the previous annotation in the viewport")
#define ACT_SCROLL_PAGE_DOWN TN("action", "Scroll down one page in the viewport")
#define ACT_SCROLL_PAGE_UP TN("action", "Scroll up one page in the viewport")
#define ACT_SCROLL_PROMPT_DOWN TN("action", "Scroll to the next prompt in the viewport")
#define ACT_SCROLL_PROMPT_FIRST TN("action", "Scroll to the first prompt in the viewport")
#define ACT_SCROLL_PROMPT_LAST TN("action", "Scroll to the last prompt in the viewport")
#define ACT_SCROLL_PROMPT_UP TN("action", "Scroll to the previous prompt in the viewport")
#define ACT_SCROLL_TO_BOTTOM TN("action", "Scroll to the bottom of the viewport")
#define ACT_SCROLL_TO_TOP TN("action", "Scroll to the top of the viewport")
#define ACT_SEARCH_DOWN TN("action", "Search down in the terminal")
#define ACT_SEARCH_RESET TN("action", "Stop searching for text in the terminal")
#define ACT_SEARCH_UP TN("action", "Search up in the terminal")
#define ACT_SELECT_ALL TN("action", "Select the entire scrollback contents of the terminal")
#define ACT_SELECT_HANDLE TN("action", "Switch between upper and lower selection handles")
#define ACT_SELECT_HANDLE_BACK_CHAR TN("action", "Move the selection handle back one character")
#define ACT_SELECT_HANDLE_BACK_WORD TN("action", "Move the selection handle back one word")
#define ACT_SELECT_HANDLE_DOWN_LINE TN("action", "Move the selection handle down one line")
#define ACT_SELECT_HANDLE_FORWARD_CHAR TN("action", "Move the selection handle forward one character")
#define ACT_SELECT_HANDLE_FORWARD_WORD TN("action", "Move the selection handle forward one word")
#define ACT_SELECT_HANDLE_UP_LINE TN("action", "Move the selection handle up one line")
#define ACT_SELECT_COMMAND TN("action", "Select the command text of the job")
#define ACT_SELECT_JOB TN("action", "Select the entire text of the job")
#define ACT_SELECT_OUTPUT TN("action", "Select the output text of the job")
#define ACT_SELECT_LINE TN("action", "Select the entire line or start a new selection")
#define ACT_SELECT_MOVE_BACK_WORD TN("action", "Move the selection to the previous word")
#define ACT_SELECT_MOVE_DOWN_LINE TN("action", "Move the selection down one line")
#define ACT_SELECT_MOVE_FORWARD_WORD TN("action", "Move the selection to the next word")
#define ACT_SELECT_MOVE_UP_LINE TN("action", "Move the selection up one line")
#define ACT_SELECT_NOTE TN("action", "Select the area of the annotation")
#define ACT_SELECT_SCREEN TN("action", "Select the viewport area of the terminal")
#define ACT_SELECT_WORD TN("action", "Select a specific word within the current line")
#define ACT_SEND_SIGNAL TN("action", "Send a signal to the terminal foreground group")
#define ACT_SET_ALERT TN("action", "Set the selected alert on the terminal")
#define ACT_SET_FILE_LISTING_FORMAT TN("action", "Reset file display to the default format")
#define ACT_SET_FILE_LISTING_FORMAT_LONG TN("action", "Display files using long (ls -l) format")
#define ACT_SET_FILE_LISTING_FORMAT_SHORT TN("action", "Display files using short (ls) format")
#define ACT_SET_SERVER_ICON TN("action", "Set server icon to the selected icon")
#define ACT_SET_TERMINAL_ICON TN("action", "Set terminal icon to the selected icon")
#define ACT_SETUP_TASKS TN("action", "Show the initial setup tasks window")
#define ACT_SHOW_MENU_BAR TN("action", "Show the menu bar in this window")
#define ACT_SHOW_SERVER TN("action", "Show all terminals belonging to the server")
#define ACT_SHOW_TERMINAL TN("action", "Show the terminal in this window")
#define ACT_SHOW_TERMINALS TN("action", "Show all terminals")
#define ACT_SORT_ASCENDING TN("action", "Sort ascending by column")
#define ACT_SORT_DESCENDING TN("action", "Sort descending by column")
#define ACT_SPLIT_VIEW_CLOSE TN("action", "Close the current pane")
#define ACT_SPLIT_VIEW_CLOSE_OTHERS TN("action", "Close other panes in this window")
#define ACT_SPLIT_VIEW_EQUALIZE TN("action", "Equalize relative size of the current pane")
#define ACT_SPLIT_VIEW_EQUALIZE_ALL TN("action", "Equalize relative sizes of all panes in this window")
#define ACT_SPLIT_VIEW_EXPAND TN("action", "Increase the relative size of the current pane")
#define ACT_SPLIT_VIEW_HORIZONTAL TN("action", "Split current pane horizontally")
#define ACT_SPLIT_VIEW_HORIZONTAL_FIXED TN("action", "Split current pane horizontally with no resize handle")
#define ACT_SPLIT_VIEW_QUAD_FIXED TN("action", "Split current pane four ways with no resize handle")
#define ACT_SPLIT_VIEW_SHRINK TN("action", "Decrease the relative size of the current pane")
#define ACT_SPLIT_VIEW_VERTICAL TN("action", "Split current pane vertically")
#define ACT_SPLIT_VIEW_VERTICAL_FIXED TN("action", "Split current pane vertically with no resize handle")
#define ACT_SUGGEST_NEXT TN("action", "Move to the next suggested command")
#define ACT_SUGGEST_PREVIOUS TN("action", "Move to the previous suggested command")
#define ACT_SWITCH_PANE TN("action", "Move focus to a specific pane")
#define ACT_SWITCH_PROFILE TN("action", "Switch terminal to the selected profile")
#define ACT_TAKE_TERMINAL_OWNERSHIP TN("action", "Take ownership of the terminal")
#define ACT_TERMINAL_CONTEXT_MENU TN("action", "Open the context menu for the terminal")
#define ACT_TIMING_FLOAT_ORIGIN TN("action", "Automatically place the timing origin")
#define ACT_TIMING_SET_ORIGIN_CONTEXT TN("action", "Place the timing origin on the current line")
#define ACT_TOGGLE_ANNOTATIONS_TOOL TN("action", "Toggle the Annotations tool in this window")
#define ACT_TOGGLE_COMMAND_MODE TN("action", "Toggle keyboard command mode globally")
#define ACT_TOGGLE_FILES_TOOL TN("action", "Toggle the Files tool in this window")
#define ACT_TOGGLE_FULL_SCREEN TN("action", "Toggle full screen mode")
#define ACT_TOGGLE_HISTORY_TOOL TN("action", "Toggle the History tool in this window")
#define ACT_TOGGLE_KEYMAP_TOOL TN("action", "Toggle the Keymap tool in this window")
#define ACT_TOGGLE_MENU_BAR TN("action", "Show the menu bar in this window")
#define ACT_TOGGLE_PRESENTATION_MODE TN("action", "Toggle presentation mode")
#define ACT_TOGGLE_SEARCH_TOOL TN("action", "Toggle the Search tool in this window")
#define ACT_TOGGLE_SELECTION_MODE TN("action", "Toggle selection mode in the current viewport")
#define ACT_TOGGLE_SOFT_SCROLL_LOCK TN("action", "Toggle scroll lock in the terminal")
#define ACT_TOGGLE_STATUS_BAR TN("action", "Show the status bar in this window")
#define ACT_TOGGLE_SUGGESTIONS_TOOL TN("action", "Toggle the Suggestions tool in this window")
#define ACT_TOGGLE_TASKS_TOOL TN("action", "Toggle the Tasks tool in this window")
#define ACT_TOGGLE_TERMINAL_FOLLOWING TN("action", "Track scrolling performed by the terminal owner")
#define ACT_TOGGLE_TERMINAL_LAYOUT TN("action", "Toggle widget in the current terminal")
#define ACT_TOGGLE_TERMINAL_REMOTE_INPUT TN("action", "Allow other users to send input to terminal")
#define ACT_TOGGLE_TERMINALS_TOOL TN("action", "Toggle the Terminals tool in this window")
#define ACT_TOGGLE_TOOL_SEARCH_BAR TN("action", "Show the search bar within the most recently used tool")
#define ACT_TOGGLE_TOOL_TABLE_HEADER TN("action", "Show the table header within the most recently used tool")
#define ACT_TOOL_ACTION0 TN("action", "Perform the double-click action in the most recently used tool")
#define ACT_TOOL_ACTION1 TN("action", "Perform the control-click action in the most recently used tool")
#define ACT_TOOL_ACTION2 TN("action", "Perform the shift-click action in the most recently used tool")
#define ACT_TOOL_ACTION3 TN("action", "Perform the middle-click action in the most recently used tool")
#define ACT_TOOL_CONTEXT_MENU TN("action", "Open the context menu for the most recently used tool")
#define ACT_TOOL_FILTER_ADD_SERVER TN("action", "Filter on the currently active server")
#define ACT_TOOL_FILTER_ADD_TERMINAL TN("action", "Filter on the currently active terminal")
#define ACT_TOOL_FILTER_EXCLUDE_SERVER TN("action", "Filter out the selected item's server")
#define ACT_TOOL_FILTER_EXCLUDE_TERMINAL TN("action", "Filter out the selected item's terminal")
#define ACT_TOOL_FILTER_INCLUDE_NOTHING TN("action", "Filter out all terminals")
#define ACT_TOOL_FILTER_REMOVE_CLOSED TN("action", "Remove all history from closed terminals")
#define ACT_TOOL_FILTER_RESET TN("action", "Remove all filtering")
#define ACT_TOOL_FILTER_SET_SERVER TN("action", "Filter on the selected item's server")
#define ACT_TOOL_FILTER_SET_TERMINAL TN("action", "Filter on the selected item's terminal")
#define ACT_TOOL_FIRST TN("action", "Move to the first item in the most recently used tool")
#define ACT_TOOL_LAST TN("action", "Move to the last item in the most recently used tool")
#define ACT_TOOL_NEXT TN("action", "Move to the next item in the most recently used tool")
#define ACT_TOOL_PREVIOUS TN("action", "Move to the previous item in the most recently used tool")
#define ACT_TOOL_SEARCH TN("action", "Focus the search field within the most recently used tool")
#define ACT_TOOL_SEARCH_RESET TN("action", "Reset the search field within the most recently used tool")
#define ACT_UNDO_ALL_ADJUSTMENTS TN("action", "Undo font and color adjustments in all terminals")
#define ACT_UPLOAD_DIR TN("action", "Upload a file to the current directory")
#define ACT_UPLOAD_FILE TN("action", "Upload a file to the selected location")
#define ACT_VIEW_SERVER_INFO TN("action", "Display server information and attributes")
#define ACT_VIEW_TERMINAL_CONTENT TN("action", "Show the inline content items present in the terminal")
#define ACT_VIEW_TERMINAL_INFO TN("action", "Display terminal information and attributes")
#define ACT_WRITE_COMMAND TN("action", "Write the command text to the terminal")
#define ACT_WRITE_COMMAND_NEWLINE TN("action", "Write the command text to the terminal with a newline")
#define ACT_WRITE_DIRECTORY_PATH TN("action", "Write the directory path to the terminal")
#define ACT_WRITE_FILE_PATH TN("action", "Write the file path to the terminal")
#define ACT_WRITE_SELECTION TN("action", "Write the first line of selected text to the terminal")

#define ACT_HELP_BINDING TL("action", "Open the documentation for the action \"%1\"")
#define ACT_NEW_LOCAL_TERMINAL_ARG TL("action", "Open a new local terminal using profile \"%1\"")
#define ACT_NEW_LOCAL_TERMINAL_CHOOSE TN("action", "Open a new local terminal selecting profile from a list")
#define ACT_NEW_TERMINAL_ARG TL("action", "Open a new terminal using profile \"%1\"")
#define ACT_NEW_TERMINAL_CHOOSE TN("action", "Open a new terminal selecting profile from a list")
#define ACT_NEW_TERMINAL_SERVER TN("action", "Open a new terminal on server \"%1\"")
#define ACT_NEW_WINDOW_ARG TL("action", "Open a new window using profile \"%1\"")
#define ACT_NEW_WINDOW_CHOOSE TN("action", "Open a new window selecting profile from a list")
#define ACT_OPEN_CONNECTION_ARG TL("action", "Launch the saved connection with name \"%1\"")
#define ACT_OPEN_FILE_ARG TL("action", "Open the file using launch configuration \"%1\"")
#define ACT_OPEN_FILE_CHOOSE TN("action", "Open the file selecting launch configuration from a list")
#define ACT_OPEN_URL_ARG TL("action", "Open the URL using launch configuration \"%1\"")
#define ACT_OPEN_URL_CHOOSE TN("action", "Open the URL selecting launch configuration from a list")
#define ACT_PUSH_PROFILE_ARG TL("action", "Push terminal to profile \"%1\"")
#define ACT_SET_ALERT_ARG TL("action", "Set alert \"%1\" on the terminal")
#define ACT_SET_SERVER_ICON_ARG TL("action", "Set server icon to \"%1\"")
#define ACT_SET_SERVER_ICON_DEFAULT TN("action", "Return server icon to the default value")
#define ACT_SET_TERMINAL_ICON_ARG TL("action", "Set terminal icon to \"%1\"")
#define ACT_SET_TERMINAL_ICON_DEFAULT TN("action", "Return terminal icon to the default value")
#define ACT_SET_TERMINAL_ICON_EMPTY TN("action", "Set terminal icon to the empty icon")
#define ACT_SWITCH_PROFILE_ARG TL("action", "Switch terminal to profile \"%1\"")

#define ACT_SELECT_LINE_END TN("action", "Select to the end of the line")
#define ACT_SELECT_LINE_START TN("action", "Select to the beginning of the line")
#define ACT_WRITE_COMMAND_N TN("action", "Write a specific suggested command to the terminal")
